%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-black
Version:       24.4.2
Release:       1mamba
Summary:       The uncompromising code formatter
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/psf/black
Source:        https://pypi.debian.net/black/black-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(click)
BuildRequires: python3.11dist(mypy-extensions)
BuildRequires: python3.11dist(packaging)
BuildRequires: python3.11dist(pathspec)
BuildRequires: python3.11dist(platformdirs)
## AUTOBUILDREQ-END
BuildRequires: python-hatch_fancy_pypi_readme-py3

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n black-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

%if "%{?with_pyver}" != "3"
# Rename any conflicting file outside of python site packages tree
for f in %{_bindir}/{black,blackd}; do
   mv %{buildroot}${f}{,-%{?pyappend}}
done
%endif

%files %{?pyappend}
%defattr(-,root,root)
%{_bindir}/black*
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%{python_sitelib}/__pycache__/_black_version*.pyc
%{python_sitelib}/_black_version.py
%dir %{python_sitelib}/blackd
%{python_sitelib}/blackd/*
%dir %{python_sitelib}/blib2to3
%{python_sitelib}/blib2to3/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%doc LICENSE

%changelog
* Fri Apr 26 2024 Automatic Build System <autodist@openmamba.org> 24.4.2-1mamba
- automatic version update by autodist

* Wed Apr 24 2024 Automatic Build System <autodist@openmamba.org> 24.4.1-1mamba
- automatic version update by autodist

* Sat Apr 13 2024 Automatic Build System <autodist@openmamba.org> 24.4.0-1mamba
- automatic version update by autodist

* Sun Mar 17 2024 Automatic Build System <autodist@openmamba.org> 24.3.0-1mamba
- automatic version update by autodist

* Tue Feb 13 2024 Automatic Build System <autodist@openmamba.org> 24.2.0-1mamba
- automatic version update by autodist

* Sun Jan 28 2024 Automatic Build System <autodist@openmamba.org> 24.1.1-1mamba
- automatic version update by autodist

* Fri Jan 26 2024 Automatic Build System <autodist@openmamba.org> 24.1.0-1mamba
- automatic version update by autodist

* Sat Dec 23 2023 Automatic Build System <autodist@mambasoft.it> 23.12.1-1mamba
- automatic version update by autodist

* Mon Dec 18 2023 Automatic Build System <autodist@mambasoft.it> 23.12.0-1mamba
- automatic version update by autodist

* Wed Nov 08 2023 Automatic Build System <autodist@mambasoft.it> 23.11.0-1mamba
- automatic version update by autodist

* Tue Oct 24 2023 Automatic Build System <autodist@mambasoft.it> 23.10.1-1mamba
- automatic version update by autodist

* Wed Oct 18 2023 Automatic Build System <autodist@mambasoft.it> 23.10.0-1mamba
- automatic version update by autodist

* Sun Oct 01 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 23.9.1-2mamba
- rebuilt with python3 = 3.11

* Mon Sep 11 2023 Automatic Build System <autodist@mambasoft.it> 23.9.1-1mamba
- automatic version update by autodist

* Tue Jul 11 2023 Automatic Build System <autodist@mambasoft.it> 23.7.0-1mamba
- automatic version update by autodist

* Sat Apr 08 2023 Sdk Build System <sdk@mambasoft.it> 23.3.0-2mamba
- rebuilt with python 3.10

* Thu Mar 30 2023 Automatic Build System <autodist@mambasoft.it> 23.3.0-1mamba
- automatic version update by autodist

* Thu Feb 02 2023 Automatic Build System <autodist@mambasoft.it> 23.1.0-1mamba
- automatic version update by autodist

* Sat Dec 17 2022 Automatic Build System <autodist@mambasoft.it> 22.12.0-1mamba
- automatic version update by autodist

* Fri Dec 09 2022 Automatic Build System <autodist@mambasoft.it> 22.10.0-1mamba
- automatic version update by autodist

* Thu Sep 01 2022 Automatic Build System <autodist@mambasoft.it> 22.8.0-1mamba
- automatic version update by autodist

* Tue Jun 28 2022 Automatic Build System <autodist@mambasoft.it> 22.6.0-1mamba
- automatic version update by autodist

* Tue Mar 29 2022 Automatic Build System <autodist@mambasoft.it> 22.3.0-1mamba
- automatic version update by autodist

* Mon Feb 14 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 22.1.0-1mamba
- package created using the webbuild interface
